HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Retrieve an OrderRefund

A GET request to /orders/{order_ref}/refunds/{refund_ref}/ retrieves the specified refund for a given order.

On success, the API responds with the OrderRefund.

Use this endpoint to inspect the outcome of an order refund, including updated receipt information to display to the customer.

Path Params
string
required
Defaults to 93410bcaff

A unique reference hash for the Forage Order, returned when the order’s parent Session was created.

string
required

A unique reference hash for the Forage OrderRefund, returned when the OrderRefund was created.

Headers
string
required

An OAuth 2.0 authentication token that validates the request. Send a POST to the /o/token/ endpoint to generate an authentication token. Pass the token in this header after the word Bearer and a whitespace, for example Bearer <api_key>.

string
required

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67. The Merchant ID can be found in the Forage sandbox or production dashboard.

string

The Forage version, represented as a string with the format of a YYYY-MM-DD date.

If not specified in the request header, then the version defaults to the value set in the Forage dashboard.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json